## golang-github-nebulouslabs-merkletree 0.0~git20170901.0.8482d02

=== Makefile ===
all: install

REBUILD:
	@touch debug*.go

dependencies:
	go get -u github.com/dvyukov/go-fuzz/go-fuzz
	go get -u github.com/dvyukov/go-fuzz/go-fuzz-build

install: REBUILD
	go install

test: REBUILD
	go test -v -tags='debug' -timeout=600s
test-short: REBUILD
	go test -short -v -tags='debug' -timeout=6s

cover: REBUILD
	go test -v -tags='debug' -cover -coverprofile=cover.out
	go tool cover -html=cover.out -o=cover.html
	rm cover.out

fuzz: REBUILD
	go install -tags='debug gofuzz'
	go-fuzz-build github.com/NebulousLabs/merkletree
	go-fuzz -bin=./merkletree-fuzz.zip -workdir=fuzz

.PHONY: all REBUILD dependencies install test test-short cover fuzz benchmark

## golang-github-nebulouslabs-merkletree 0.0~git20160203.0.f01b2e9

=== debian/changelog ===
golang-github-nebulouslabs-merkletree (0.0~git20160203.0.f01b2e9-1) unstable; urgency=medium

  * Initial release (Closes: #852124)

 -- Free Ekanayaka <freee@debian.org>  Sun, 30 Oct 2016 14:30:21 +0000

=== debian/control ===
Source: golang-github-nebulouslabs-merkletree
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.8
Homepage: https://github.com/nebulouslabs/merkletree
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-nebulouslabs-merkletree.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-nebulouslabs-merkletree.git
XS-Go-Import-Path: github.com/NebulousLabs/merkletree

Package: golang-github-nebulouslabs-merkletree-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: Go package for working with Merkle trees
 Calculate merkle roots, build and verify proofs that data is in a
 merkle tree (http://en.wikipedia.org/wiki/Merkle_tree).
 .
 Specifically, this package is designed to facilitate the generation and
 verification of "Merkle proofs" — cryptographic proofs that a given subset
 of data "belongs" to a larger set. BitTorrent, for example, requires
 downloading many small pieces of a file from many untrusted peers; Merkle
 proofs allow the downloader to verify that each piece is part of the full
 file.
 .
 When sha256 is used as the hashing algorithm, the implementation matches
 the merkle tree described in RFC 6962, 'Certificate Transparency'.

## golang-github-nebulouslabs-merkletree 0.0~git20170901.0.8482d02

=== debian/changelog ===
golang-github-nebulouslabs-merkletree (0.0~git20170901.0.8482d02-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 13:34:51 +0100

golang-github-nebulouslabs-merkletree (0.0~git20170901.0.8482d02-1) unstable; urgency=medium

  * New upstream version 0.0~git20170901.0.8482d02
  * Set priority to optional
  * Bump standards-version to 4.1.1

 -- Free Ekanayaka <freee@debian.org>  Tue, 31 Oct 2017 23:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-github-nebulouslabs-merkletree
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/nebulouslabs/merkletree
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-nebulouslabs-merkletree.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-nebulouslabs-merkletree.git

## golang-github-nebulouslabs-merkletree 0.0~git20181203.08d5d54

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 dependencies:
 	go get -u github.com/dvyukov/go-fuzz/go-fuzz
 	go get -u github.com/dvyukov/go-fuzz/go-fuzz-build
+	go get -u github.com/NebulousLabs/fastrand
+	go get -u github.com/NebulousLabs/errors
 
 install: REBUILD
 	go install

=== debian/changelog ===
golang-github-nebulouslabs-merkletree (0.0~git20181203.08d5d54-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Add watch file
  * Default Salsa CI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Use tracker.debian.org's team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * New upstream version
  * (Build-)Depends: golang-github-nebulouslabs-errors-dev,
    golang-github-nebulouslabs-fastrand

 -- Andreas Tille <tille@debian.org>  Sun, 12 Oct 2025 20:33:36 +0200

=== debian/control ===
Source: golang-github-nebulouslabs-merkletree
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-nebulouslabs-errors-dev,
 golang-github-nebulouslabs-fastrand-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nebulouslabs-merkletree
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nebulouslabs-merkletree.git
Homepage: https://github.com/nebulouslabs/merkletree
XS-Go-Import-Path: github.com/NebulousLabs/merkletree

Package: golang-github-nebulouslabs-merkletree-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-nebulouslabs-errors-dev,
 golang-github-nebulouslabs-fastrand-dev,
Description: Go package for working with Merkle trees
 Calculate merkle roots, build and verify proofs that data is in a
 merkle tree (http://en.wikipedia.org/wiki/Merkle_tree).
 .
 Specifically, this package is designed to facilitate the generation and
 verification of "Merkle proofs" — cryptographic proofs that a given subset
 of data "belongs" to a larger set. BitTorrent, for example, requires
 downloading many small pieces of a file from many untrusted peers; Merkle
 proofs allow the downloader to verify that each piece is part of the full
 file.
 .
 When sha256 is used as the hashing algorithm, the implementation matches
 the merkle tree described in RFC 6962, 'Certificate Transparency'.

=== debian/watch ===
Version: 5

Source: https://github.com/nebulouslabs/merkletree.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0~git%cd.%h
